Package ru.bitel.bgbilling.modules.smarthouse.common.bean.flussonicwatcher

# Class FlussonicWatcherCamera

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.smarthouse.common.bean.flussonicwatcher.FlussonicWatcherCamera

All Implemented Interfaces:
  `Serializable`, `Idable`

public class FlussonicWatcherCamera extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlussonicWatcherCamera()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `String`
  `getCameraAgent()`
  `String`
  `getCameraModel()`
  `String`
  `getCameraSerial()`
  `LocalDateTime`
  `getCreateTime()`
  `int`
  `getCreateUserId()`
  `int`
  `getFlussonicWatcherCameraId()`
  `int`
  `getPresetId()`
  `FlussonicWatcherCamera`
  `setAccountId(int accountId)`
  `FlussonicWatcherCamera`
  `setCameraAgent(String cameraAgent)`
  `FlussonicWatcherCamera`
  `setCameraModel(String cameraModel)`
  `FlussonicWatcherCamera`
  `setCameraSerial(String cameraSerial)`
  `FlussonicWatcherCamera`
  `setCreateTime(LocalDateTime createTime)`
  `FlussonicWatcherCamera`
  `setCreateUserId(int createUserId)`
  `FlussonicWatcherCamera`
  `setFlussonicWatcherCameraId(int flussonicWatcherCameraId)`
  `FlussonicWatcherCamera`
  `setId(int id)`
  Устанавливает id объекта
  `FlussonicWatcherCamera`
  `setPresetId(int presetId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlussonicWatcherCamera

    public FlussonicWatcherCamera()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getCameraAgent

    public String getCameraAgent()

  - ### getCameraModel

    public String getCameraModel()

  - ### getCameraSerial

    public String getCameraSerial()

  - ### getCreateTime

    public LocalDateTime getCreateTime()

  - ### getCreateUserId

    public int getCreateUserId()

  - ### getFlussonicWatcherCameraId

    public int getFlussonicWatcherCameraId()

  - ### getPresetId

    public int getPresetId()

  - ### setAccountId

    public FlussonicWatcherCamera setAccountId(int accountId)

  - ### setCameraAgent

    public FlussonicWatcherCamera setCameraAgent(String cameraAgent)

  - ### setCameraModel

    public FlussonicWatcherCamera setCameraModel(String cameraModel)

  - ### setCameraSerial

    public FlussonicWatcherCamera setCameraSerial(String cameraSerial)

  - ### setCreateTime

    public FlussonicWatcherCamera setCreateTime(LocalDateTime createTime)

  - ### setCreateUserId

    public FlussonicWatcherCamera setCreateUserId(int createUserId)

  - ### setFlussonicWatcherCameraId

    public FlussonicWatcherCamera setFlussonicWatcherCameraId(int flussonicWatcherCameraId)

  - ### setId

    public FlussonicWatcherCamera setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setPresetId

    public FlussonicWatcherCamera setPresetId(int presetId)